summary refs log tree commit diff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xbin/get-hosts-from-job5
-rwxr-xr-xbin/os-centos-7-report (renamed from bin/os-centos-7-report.sh)0
-rwxr-xr-xbin/touch-projects4
-rwxr-xr-xbin/zk-delete-dark-nodes12
4 files changed, 20 insertions, 1 deletions
diff --git a/bin/get-hosts-from-job b/bin/get-hosts-from-job
new file mode 100755
index 0000000..6985bb6
--- /dev/null
+++ b/bin/get-hosts-from-job
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+JOB_NAME=$1
+
+aurora job status "${JOB_NAME}" |grep 'RUNNING on'|awk '{print $13}' | sort
diff --git a/bin/os-centos-7-report.sh b/bin/os-centos-7-report
index c003136..c003136 100755
--- a/bin/os-centos-7-report.sh
+++ b/bin/os-centos-7-report
diff --git a/bin/touch-projects b/bin/touch-projects
index c7de34d..28f0819 100755
--- a/bin/touch-projects
+++ b/bin/touch-projects
@@ -9,7 +9,9 @@ PROJECTS=(
   eventbus/read-proxy
   eventbus/provisioning
   monitoring-configs
-  src/python/twitter/messaging
+  src/python/twitter
+  distributedlog
+  kestrel
 )
 
 for project in "${PROJECTS[@]}"; do
diff --git a/bin/zk-delete-dark-nodes b/bin/zk-delete-dark-nodes
new file mode 100755
index 0000000..b5e995e
--- /dev/null
+++ b/bin/zk-delete-dark-nodes
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -x
+set -e
+
+members=$(echo "ls /messaging/distributedlog/EventBus/" | zk-shell msgzookeeper.atla.twitter.com --run-from-stdin)
+
+for m in $members; do
+  if [[ $m =~ ^eventbus_system_loadtest_8_ ]]; then
+    echo "rmr /messaging/distributedlog/EventBus/$m" | zk-shell msgzookeeper.atla.twitter.com --run-from-stdin
+  fi
+done